<template>
  <div class="update-clients">
    <the-header title="Atualizar produto" />
    <client-form :client="client" :isEditing="isEditing"></client-form>
  </div>
</template>

<script>
import ClientForm from '@/views/Clients/components/ClientForm' 

export default {
  name: 'UpdateClients',
  components: {
    'client-form': ClientForm 
  },
  data: function ()  {
    return {
      isEditing: true 
    }
  },
  created () {
    this.$store.dispatch('getClient', this.$route.params.pk)
  },
  computed: {
    client () {
      return this.$store.state.clients.client[0]
    }
  },
  methods: {
    back() {
      this.$router.go(-1)
    }
  }

}
</script>
